<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<!--setTimeout(function(){
    alert()
    }-,200);
    Para solucionar lo que nos pasaba el otro día con el alert (salía antes de que se pusiese la última foto)

    array asociativo (JSON) muy útil indices son nombre variables, además pasa por referencia igual que array
    -->

	<style>

	div.salida{
		border:2px solid black;
		width:500px;
		height:50px;
		margin:20px auto;
		background-color:white;
		display:flex;
		flex-direction:row;
		align-items: center;
		justify-content: space-around;
	}

	div.letras_separadas{
		
		border-bottom: 1px solid black;
		display:flex;
		justify-content: center;
		align-items: center;
		font-size:xx-large;
		width:30px;
		height:30px;
	}

	div.imagen{
		width:353px;
		height:252px;
		display:flex;
		justify-content: center;
		background-color:burlywood;
		padding:20px;
		border-radius:15px;
	}

	div.inputs{
		text-align:center;
	}

	main{
		display:flex;
		flex-direction:column;
		justify-content: space-around;
		align-items: center;
		width:600px;
		height:500px;
		border-radius:15px;
		padding:10px;
		margin:0 auto;
		background-color: #51ACAB;
	}

	img{
		width:303px;
		height:252px;
		border:2px solid grey;
		display:none;
	}

	h1{
		text-align:center;
	}

	</style>

	<script type="text/javascript">

		function escoger(palabras){
			let num=0;
			let palabra_escogida="";

			num=Math.trunc(Math.random()*palabras.length);
			palabra_escogida=palabras[num];
			return palabra_escogida;
		}

		function dibujar(palabra,selector) {
			let longitud=0;
			let caja=document.querySelector(selector);

			longitud=palabra.length;

			for(i=0;i<longitud;i++) {
				caja.innerHTML+="<div class='letras_separadas'>"+""+"</div>";
			}

		}

		function comprobar(letra, palabra) {
			let encontrada=false;
			let completada=[false,false,false,false,false];
			let divs_objetivo=document.querySelectorAll(".letras_separadas");
			let caja=document.querySelector(".salida");
			
		
			for(i=0;i<palabra.length;i++) {
				if(letra==palabra[i]) {
					completada[i]=true;
					divs_objetivo[i].innerHTML=letra;
					encontrada=true;
					acierto+=1;
					} 	
				}

				if(i==palabra.length && encontrada==false) {
					acum+=1;
					fallo(acum);
				}

				if(acierto==palabra.length) {

					caja.innerHTML="Enhorabuena. Acertaste "+palabra+"!";
					caja.style.backgroundColor = 'lime';

					document.querySelector(".texto").style.display="none";

					let boton_letra=document.querySelector(".boton");
					boton_letra.value="Volver a empezar";

					boton_letra.addEventListener("click",function(){
					 location.reload();
					

		});	
				}
				

		}

		function fallo(acum) {
			let caja=document.querySelector(".salida");
			let boton_letra=document.querySelector(".boton");

			switch (acum) {
				case 1:
					document.querySelector("#fallo1").style.display='block';
					break;
				case 2:
					document.querySelector("#fallo2").style.display='block';
					document.querySelector("#fallo1").style.display='none';
					break;
				case 3:
					document.querySelector("#fallo2").style.display='none';
					document.querySelector("#fallo3").style.display='block';
					break;
				case 4:
					document.querySelector("#fallo3").style.display='none';
					document.querySelector("#fallo4").style.display='block';
					caja.innerHTML="Has perdido. Vuelve a intentarlo";
					caja.style.backgroundColor = 'red';

					document.querySelector(".texto").style.display="none";
					boton_letra.value="Volver a empezar";
					boton_letra.addEventListener("click",function(){
					 location.reload();
					});
					 break;
				
			}
		}
		
		let palabras=["hamburguesa","bicicleta","balon","cafe","zumo","teclado","pantalla","lapicero","libreta","boligrafo"];
		let palabra="", letra="", acum=0;		
		let acierto=0;
		
		window.addEventListener("load",function(){

			palabra=escoger(palabras);
			dibujar(palabra,".salida");	
			let boton_letra=document.querySelector(".boton");
			let texto_letra=document.querySelector(".texto");
			texto_letra.focus();


			texto_letra.addEventListener("keypress", function(e){
				letra=document.querySelector(".texto").value;
				if(e.keyCode==13 && letra!="") {
					letra=document.querySelector(".texto").value;
					comprobar(letra, palabra);
					document.querySelector(".texto").value="";
				}
			
			})
			boton_letra.addEventListener("click",function(){
			letra=document.querySelector(".texto").value;
			comprobar(letra, palabra);
			document.querySelector(".texto").value="";
			

		});	
					
		});

	</script>
</head>


<body>
	<h1>Juego del Ahorcado</h1>
<main>
<div class="imagen"><img id="fallo1" src="1.png"><img id="fallo2" src="2.png"><img id="fallo3" src="3.png"><img id="fallo4" src="4.png"></div>

	<div class="salida">
	
	</div>
	
	<div class="inputs">
		<input type="text" class='texto'/>
		<input type="button" value="Enviar" class='boton'>
	
	</div>

</main>
</body>
</html>